require 'matrix'

module Samscript
  class Image
    java_import 'java.awt.Color'

    def self.get_pixel image, params = {}
      x = params[:x] || 0
      y = params[:y] || 0

      rgb = image.get_rgb(x, y)
      Color.new rgb
    end

    def self.get_difference c1, c2
      [c1.red - c2.red,
       c1.green - c2.green,
       c1.blue - c2.blue].map(&:abs).max
    end
  end
end
